<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="vip.xiaonuo.biz.modular.bizsaleorder.mapper.BizSaleOrderMapper">

    <select id="getPage" resultType="vip.xiaonuo.biz.modular.bizsaleorder.entity.BizSaleOrder">
        select
            bso.id,
            bso.sale_order_number,
            bso.sale_order_name,
            bso.sale_order_type,
            bso.sale_goods_name,
            bso.sale_order_weight/1000 sale_order_weight,
            bso.sale_status,
            bso.customer_id,
            bc.name customerName,
            bso.sale_goods_code
        from biz_sale_order bso
        left join biz_customer bc on bc.id = bso.customer_id
        ${ew.customSqlSegment}
    </select>
</mapper>
